## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-importlib-metadata
Version:        8.7.0
Release:        %autorelease
Summary:        Library to access the metadata for a Python package

# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:        Apache-2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source importlib_metadata}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# Test dependencies
# Not loaded via %%pyproject_buildrequires -x testing because upstream
# uses a lot unnecessary packages and some of them are not in Fedora.
BuildRequires:  python3-test
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyfakefs)
BuildRequires:  python3dist(jaraco-test)

%description
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%package -n     python3-importlib-metadata
Summary:        %{summary}

%description -n python3-importlib-metadata
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%prep
%autosetup -n importlib_metadata-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files importlib_metadata

%check
# Ignored file uses pytest_perf not available in Fedora
# test_find_local tries to install setuptools from PyPI
%pytest --ignore exercises.py -k "not test_find_local"

%files -n python3-importlib-metadata -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 8.7.0-2
- Rebuilt for Python 3.14

* Sun Apr 27 2025 Lumir Balhar <lbalhar@redhat.com> - 8.7.0-1
- Update to 8.7.0 (rhbz#2362559)

* Tue Jan 21 2025 Lumir Balhar <lbalhar@redhat.com> - 8.6.1-1
- Update to 8.6.1 (rhbz#2339066)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 24 2024 Lumir Balhar <lbalhar@redhat.com> - 8.5.0-1
- Update to 8.5.0 (rhbz#2311688)

* Mon Aug 26 2024 Lumir Balhar <lbalhar@redhat.com> - 8.3.0-1
- Update to 8.3.0 (rhbz#2306044)

* Wed Jul 24 2024 Lumir Balhar <lbalhar@redhat.com> - 8.2.0-1
- Update to 8.2.0 (rhbz#2299714)

* Wed Jul 24 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.0-1
- Update to 8.1.0 (rhbz#2299490)

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 8.0.0-3
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 25 2024 Lumir Balhar <lbalhar@redhat.com> - 8.0.0-1
- Update to 8.0.0 (rhbz#2294263)

* Mon Jun 24 2024 Lumir Balhar <lbalhar@redhat.com> - 7.2.1-1
- Update to 7.2.1 (rhbz#2293842)

* Fri Jun 21 2024 Lumir Balhar <lbalhar@redhat.com> - 7.2.0-1
- Update to 7.2.0 (rhbz#2293553)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 7.1.0-2
- Rebuilt for Python 3.13

* Fri Apr 05 2024 Lumir Balhar <lbalhar@redhat.com> - 7.1.0-1
- Update to 7.1.0 (rhbz#2252663)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 02 2023 Lumir Balhar <lbalhar@redhat.com> - 6.9.0-1
- Update to 6.9.0 (rhbz#2252445)

* Mon Jul 31 2023 Lumir Balhar <lbalhar@redhat.com> - 6.8.0-1
- Update to 6.8.0 (rhbz#2215800)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 6.6.0-2
- Rebuilt for Python 3.12

* Mon Apr 24 2023 Lumir Balhar <lbalhar@redhat.com> - 6.6.0-1
- Update to 6.6.0 (rhbz#2187702)

* Mon Apr 17 2023 Lumir Balhar <lbalhar@redhat.com> - 6.4.1-1
- Update to 6.4.1 (rhbz#2186984)

* Tue Apr 11 2023 Lumir Balhar <lbalhar@redhat.com> - 6.3.0-1
- Update to 6.3.0 (rhbz#2185262)

* Mon Mar 20 2023 Lumír Balhar <lbalhar@redhat.com> - 6.1.0-1
- Update to 6.1.0 (rhbz#2179564)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 02 2023 Lumír Balhar <lbalhar@redhat.com> - 6.0.0-1
- Update to 6.0.0 (rhbz#2157297)

* Wed Dec 21 2022 Lumír Balhar <lbalhar@redhat.com> - 5.2.0-1
- Update to 5.2.0 (rhbz#2154722)

* Sun Nov 27 2022 Lumír Balhar <lbalhar@redhat.com> - 5.1.0-1
- Update to 5.1.0 (rhbz#2148187)

* Mon Oct 03 2022 Lumír Balhar <lbalhar@redhat.com> - 4.13.0-1
- Update to 4.13.0
Resolves: rhbz#2131478

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jun 26 2022 Lumír Balhar <lbalhar@redhat.com> - 4.12.0-1
- Update to 4.12.0
Resolves: rhbz#2101112

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.11.4-2
- Rebuilt for Python 3.11

* Mon May 23 2022 Lumír Balhar <lbalhar@redhat.com> - 4.11.4-1
- Update to 4.11.4
Resolves: rhbz#2088922

* Mon Mar 14 2022 Lumír Balhar <lbalhar@redhat.com> - 4.11.3-1
- Update to 4.11.3
Resolves: rhbz#2063566

* Mon Feb 28 2022 Lumír Balhar <lbalhar@redhat.com> - 4.11.2-1
- Update to 4.11.2
Resolves: rhbz#2059016

* Tue Feb 15 2022 Lumír Balhar <lbalhar@redhat.com> - 4.11.1-1
- Update to 4.11.1
Resolves: rhbz#2054478

* Fri Feb 11 2022 Lumír Balhar <lbalhar@redhat.com> - 4.11.0-1
- Update to 4.11.0
Resolves: rhbz#2053332

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Lumír Balhar <lbalhar@redhat.com> - 4.10.1-1
- Update to 4.10.1
Resolves: rhbz#2041301

* Mon Jan 03 2022 Lumír Balhar <lbalhar@redhat.com> - 4.10.0-1
- Update to 4.10.0
Resolves: rhbz#2034072

* Sat Dec 18 2021 Lumír Balhar <lbalhar@redhat.com> - 4.8.3-1
- Update to 4.8.3
Resolves: rhbz#2033335

* Tue Nov 09 2021 Lumír Balhar <lbalhar@redhat.com> - 4.8.2-1
- Update to 4.8.2
Resolves: rhbz#2021375

* Mon Aug 30 2021 Lumír Balhar <lbalhar@redhat.com> - 4.8.1-1
- Update to 4.8.1
Resolves: rhbz#1997891

* Mon Aug 16 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.4-1
- Update to 4.6.4
Resolves: rhbz#1993538

* Mon Aug 02 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.3-1
- Update to 4.6.3
Resolves: rhbz#1988649

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.1-1
- Update to 4.6.1
Resolves: rhbz#1979098

* Wed Jun 30 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.0-1
- Unretired and updated package

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.18-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 26 2019 Miro Hrončok <mhroncok@redhat.com> - 0.18-1
- Initial package

## END: Generated by rpmautospec
